Vulnerabilidad en el plugin All in One SEO Pack

En Noticias, Webmasters por

Se ha lanzado recientemente una actualización de seguridad para el plugin de WordPress All in One SEO Pack. Esta actualización es consecuencia de una grave vulnerabilidad en el plugin All in One SEO Pack que permite a los usuarios escalar privilegios.

Vulnerabilidad en el plugin All in One SEO Pack

Si haces uso de este plugin actualiza cuanto antes a la nueva versión para evitar problemas de seguridad en tu blog WordPress.

Descripción de la vulnerabilidad en el plugin All in One SEO Pack para WordPress

En principio el problema de seguridad sólo afecta a aquellos blogs WordPress que tienen suscriptores, autores, colaboradores,etc… dicho de otras forma, afecta a aquellos blogs que permiten el acceso de cualquier usuario a wp-admin, por ejemplo aquellos blogs que tienen los registros públicos habilitados. Si en tu caso los registros están cerrados y no tienes editores o colaboradores no deberías tener problemas, pero aun así sigue siendo recomendable actualizar.

Durante la auditoria del código del plugin se han encontrado dos fallos de seguridad que permiten explotarlos mediante ataques XSS y escalando privilegios.

En el primer caso, cualquier usuario con acceso a wp-admin, ya sea un suscriptor, autor, colaborador, etc… (no es necesario que tenga permisos de administrador) podría modificar algunos parámetros que emplea el plugin para las entradas como: metadescripción, título SEO, etc… Si esto lo llevase a cabo algún usuario malintencionado tendría como resultado una perdida de posiciones en los buscadores.

El segundo fallo de seguridad permite injectar código javascript malicioso para por ejemplo cambiar el password del administrador y una vez ganado acceso al escritorio WordPress llevar a cabo otras actividades (borrar o modificar archivos, inyectar malware, ejecutar comandos en el servidor, etc…).

Recomendaciones finales

Para prevenir alguna vulnerabilidad en el plugin All in One SEO Pack, el único modo fiable es mantener actualizado el plugin.

Una vez más estamos frente a un problema de seguridad en WordPress introducido por un plugin y en esta ocasión un plugin muy conocido que incluso dispone de una versión de pago. Esto demuestra, una vez más, que aquellos plugins que tienen una versión premium o de pago no tienen mayores controles de seguridad que los gratuitos y de código abierto.

Es cierto que cada plugin de SEO tiene sus seguidores y sus detractores pero aprovecho la ocasión para recomendar el plugin de SEO que empleamos en Vozidea, que es WordPress SEO por Yoast. Este plugin es gratuito y si lo combinamos con un buen SEO OnPage da buenos resultados.

Este artículo no tiene comentarios, se el primero en dejar uno.

Deja un comentario: